<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>AAA.lib.pirate.buy.lasertower</name>
<version>4</version>
<engineversion>25</engineversion>
<description>Buy LaserTowers for PB defense</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>skip&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="002" indent="&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="003" indent=""></line>
<line linenr="004" indent=""><var>$ltcount&#160;=&#160;</var><var>0</var></line>
<line linenr="005" indent=""><var>$ltcount&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'pirate.lasertower'</var></line>
<line linenr="006" indent=""><var>$sector&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="007" indent=""></line>
<line linenr="008" indent=""><var>if&#160;</var><var>$ltcount</var><text>&#160;</text><var>==</var><text>&#160;</text><var>null</var></line>
<line linenr="009" indent="&#160;"><var>$ltcount&#160;=&#160;</var><var>0</var></line>
<line linenr="010" indent=""><text>end</text></line>
<line linenr="011" indent=""></line>
<line linenr="012" indent=""><var>$scanlt&#160;=&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>$sector</var><text>&#160;class&#160;or&#160;type=</text><var>Lasertower</var><text>&#160;race=</text><var>Pirates</var><text>&#160;flags=</text><var>[Find.Multiple]</var><text>&#160;refobj=</text><var>[THIS]</var><text>&#160;maxdist=</text><var>5000</var><text>&#160;maxnum=</text><var>10</var><text>&#160;refpos=</text><var>null</var></line>
<line linenr="013" indent=""><var>$realnum&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$scanlt</var></line>
<line linenr="014" indent=""></line>
<line linenr="015" indent=""><var>if&#160;</var><var>$realnum</var><text>&#160;</text><var>==</var><text>&#160;</text><var>0</var></line>
<line linenr="016" indent="&#160;"><var>$ltcount&#160;=&#160;</var><var>0</var></line>
<line linenr="017" indent=""><text>end</text></line>
<line linenr="018" indent=""></line>
<line linenr="019" indent=""><var>if&#160;</var><var>(</var><text>&#160;</text><var>$ltcount</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>4</var><text>&#160;</text><var>)</var></line>
<line linenr="020" indent="&#160;"><text>inc&#160;</text><var>$ltcount&#160;=&#160;</var></line>
<line linenr="021" indent="&#160;"><var>$position&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;position&#160;as&#160;array</text></line>
<line linenr="022" indent="&#160;"><var>$x&#160;=&#160;</var><var>$position</var><text>[</text><var>0</var><text>]</text></line>
<line linenr="023" indent="&#160;"><var>$y&#160;=&#160;</var><var>$position</var><text>[</text><var>1</var><text>]</text></line>
<line linenr="024" indent="&#160;"><var>$z&#160;=&#160;</var><var>$position</var><text>[</text><var>2</var><text>]</text></line>
<line linenr="025" indent="&#160;"><var>if&#160;</var><var>$ltcount</var><text>&#160;</text><var>==</var><text>&#160;</text><var>1</var></line>
<line linenr="026" indent="&#160;&#160;"><var>$x&#160;=&#160;</var><var>$x</var><text>&#160;</text><var>+</var><text>&#160;</text><var>2000</var></line>
<line linenr="027" indent="&#160;&#160;"><var>$y&#160;=&#160;</var><var>$y</var><text>&#160;</text><var>+</var><text>&#160;</text><var>2000</var></line>
<line linenr="028" indent="&#160;"><text>end</text></line>
<line linenr="029" indent="&#160;"><var>if&#160;</var><var>$ltcount</var><text>&#160;</text><var>==</var><text>&#160;</text><var>2</var></line>
<line linenr="030" indent="&#160;&#160;"><var>$x&#160;=&#160;</var><var>$x</var><text>&#160;</text><var>-</var><text>&#160;</text><var>2000</var></line>
<line linenr="031" indent="&#160;&#160;"><var>$y&#160;=&#160;</var><var>$y</var><text>&#160;</text><var>+</var><text>&#160;</text><var>2000</var></line>
<line linenr="032" indent="&#160;"><text>end</text></line>
<line linenr="033" indent="&#160;"><var>if&#160;</var><var>$ltcount</var><text>&#160;</text><var>==</var><text>&#160;</text><var>3</var></line>
<line linenr="034" indent="&#160;&#160;"><var>$x&#160;=&#160;</var><var>$x</var><text>&#160;</text><var>+</var><text>&#160;</text><var>2000</var></line>
<line linenr="035" indent="&#160;&#160;"><var>$y&#160;=&#160;</var><var>$y</var><text>&#160;</text><var>-</var><text>&#160;</text><var>2000</var></line>
<line linenr="036" indent="&#160;"><text>end</text></line>
<line linenr="037" indent="&#160;"><var>if&#160;</var><var>$ltcount</var><text>&#160;</text><var>==</var><text>&#160;</text><var>4</var></line>
<line linenr="038" indent="&#160;&#160;"><var>$x&#160;=&#160;</var><var>$x</var><text>&#160;</text><var>-</var><text>&#160;</text><var>2000</var></line>
<line linenr="039" indent="&#160;&#160;"><var>$y&#160;=&#160;</var><var>$y</var><text>&#160;</text><var>-</var><text>&#160;</text><var>2000</var></line>
<line linenr="040" indent="&#160;"><text>end</text></line>
<line linenr="041" indent="&#160;"><var>$newlt&#160;=&#160;</var><text>&#160;create&#160;ship:&#160;type=</text><var>Lasertower</var><text>&#160;owner=</text><var>Pirates</var><text>&#160;addto=</text><var>$sector</var><text>&#160;x=</text><var>$x</var><text>&#160;y=</text><var>$y</var><text>&#160;z=</text><var>$z</var></line>
<line linenr="042" indent="&#160;"><var>$newlt&#160;-&gt;</var><text>&#160;set&#160;homebase&#160;to&#160;</text><var>[THIS]</var></line>
<line linenr="043" indent=""><text>end</text></line>
<line linenr="044" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>'pirate.lasertower'</var><text>&#160;value=</text><var>$ltcount</var></line>
<line linenr="045" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="AAA.lib.pirate.buy.lasertower" /><sval type="int" val="25" /><sval type="string" val="Buy LaserTowers for PB defense" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="array" size="9"><sval type="string" val="ltcount" /><sval type="string" val="sector" /><sval type="string" val="scanlt" /><sval type="string" val="realnum" /><sval type="string" val="position" /><sval type="string" val="x" /><sval type="string" val="y" /><sval type="string" val="z" /><sval type="string" val="newlt" /></sval><sval type="array" size="33"><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-536870393" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="pirate.lasertower" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610941" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="458819" /><sval type="int" val="10" /><sval type="int" val="8" /><sval type="int" val="131075" /><sval type="int" val="111" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="5000" /><sval type="int" val="4" /><sval type="int" val="10" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610609917" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="15"><sval type="int" val="104" /><sval type="int" val="-1610604797" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="5" /><sval type="int" val="16" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /><sval type="int" val="17" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="795" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610607613" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="2000" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="2000" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610606845" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="2000" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="2000" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610606077" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="2000" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="2000" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610605309" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="2000" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="2000" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="14"><sval type="int" val="739" /><sval type="int" val="8" /><sval type="int" val="9" /><sval type="int" val="458819" /><sval type="int" val="10" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="5"><sval type="int" val="713" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="pirate.lasertower" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="int" val="0" /><sval type="array" size="12"><sval type="array" size="2"><sval type="int" val="2" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="7" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="7" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="11" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="11" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
